#!/bin/bash

# add --shared for building shared version
# classes directly on the list are wrapped as well as the jar's

$PYTHON -m jcc \
--use_full_names \
--python orekit \
--version 8.0 \
--jar $RECIPE_DIR/orekit-8.1-SNAPSHOT.jar \
--jar $RECIPE_DIR/hipparchus-core-1.0.jar \
--jar $RECIPE_DIR/hipparchus-fitting-1.0.jar \
--jar $RECIPE_DIR/hipparchus-geometry-1.0.jar \
--jar $RECIPE_DIR/hipparchus-ode-1.0.jar \
--jar $RECIPE_DIR/hipparchus-optim-1.0.jar \
--jar $RECIPE_DIR/hipparchus-stat-1.0.jar \
--package java.io \
--package java.util \
--package java.text \
java.util.Arrays \
java.util.HashMap \
java.util.HashSet \
java.util.List \
java.util.Locale \
java.util.ArrayList \
java.util.Collection \
java.util.Collections \
java.util.Date \
java.util.Map \
java.util.TreeSet \
java.util.Set \
java.io.StringReader \
java.io.StringWriter \
java.io.InputStream \
java.io.InputStreamReader \
java.io.PrintStream \
java.io.FileInputStream \
java.lang.System \
java.text.DecimalFormat \
java.text.DecimalFormatSymbols \
--module $RECIPE_DIR/pyhelpers \
--reserved INFINITE \
--reserved ERROR \
--reserved OVERFLOW \
--reserved NO_DATA \
--reserved NAN \
--reserved min \
--reserved max \
--reserved mean \
--build \
--install

# Add more build steps here, if they are necessary.


# See
# http://docs.continuum.io/conda/build.html
# for a list of environment variables that are set during the build process.
